<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en" dir="ltr">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>{title}</title>
<style>
	TABLE.red {BORDER: none; BORDER-COLLAPSE: collapse}
	TABLE.red TD {BORDER: 1px solid red; PADDING: 0.5em}
</style>
</head>

<body>

{%INCLUDE header}

<p>Code: {code}</p>
<p>Escaped code: {@code}</p>

<hr />

{%IF cond}
<p>Condition: true<br />
Foo: <strong>{foo}</strong></p>
{	%IF link}
<p>Link: <a href="xxx.php?id={link:id}">{@link:name}</a></p>
{	%ELSE}
<p>Link isn't set</p>
{	%END}
{%ELSE}
<p>Condition: false</p>
{%END}

<hr />

<p><strong>Array:</strong></p>
{%IF items}
{	%FOREACH items AS item}
<p>{item:a} &raquo; {item:b}</p>
{	%END}
{%ELSE}
<p>Array is not set or empty</p>
{%END}

</body>
</html>